# Fronto of Lepcis, Adynatic Acropolician (Fronto von Leptis, adynatischer Akropolizianer)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Legendary |
| Category | Military |
| Slot Type | Governor |
| Scope | Towers |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Accuracy | Towers | +25% | Area of Influence |
| Attack Range | Towers | +25% | Area of Influence |
| Ranged Offence | Towers | +2 | Area of Influence |
| Attack Speed | Towers | +20% | Area of Influence |
| Hitpoints | Towers | +30% | Area of Influence |

## Boost Unlock
Dedicate island to the goddess Minerva.

## Improves Buildings
- Towers

## Source
All traders
